## git-sizer 1.2.0+dfsg

=== debian/changelog ===
git-sizer (1.2.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #904186).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 Jul 2018 19:17:16 +1000
