=== debian/control ===
Source: git-sizer
Section: devel
Priority: optional
Standards-Version: 4.1.5
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 11~),
               dh-golang,
               golang-any,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev
# Tests:
    ,git
Homepage: https://github.com/github/git-sizer
Vcs-Browser: https://salsa.debian.org/go-team/packages/git-sizer
Vcs-Git: https://salsa.debian.org/go-team/packages/git-sizer.git
XS-Go-Import-Path: github.com/github/git-sizer
Testsuite: autopkgtest-pkg-go

Package: git-sizer
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: compute various size metrics for a Git repository
 git-sizer computes various size metrics for a Git repository, flagging
 those that might cause problems or inconvenience. For example:
 .
  • Is the repository too big overall?
  • Does the repository have too many references (branches and/or tags)?
  • Does the repository include too many objects?
  • Does the repository include gigantic blobs (files)?
  • Does the repository include many slightly different large text files?
  • Does the repository include gigantic trees (directories)?
  • Does the repository have many identical files?
  • Does the repository include absurdly long path names?
  • Are there other bizarre and questionable things in the repository?
    • Annotated tags pointing at one another in long chains?
    • Octopus merges with dozens of parents?
    • Commits with gigantic log messages?
 .
 git-sizer can help to reveal the problems described above.
