## git-sizer 1.3.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: git-sizer
 Section: devel
 Priority: optional
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 11~),
