## git-sizer 1.3.0+dfsg

=== debian/changelog ===
git-sizer (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.3.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Jan 2019 20:42:44 +1100
