=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	cd _build/src/github.com/github/git-sizer && git init
	PATH="$(CURDIR)/_build/bin:$${PATH}" dh_auto_test
