=== debian/changelog ===
git-sizer (1.5.0-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 15:52:40 +1000

git-sizer (1.5.0-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 09:57:53 +0100

git-sizer (1.5.0-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 09:34:20 +0530

git-sizer (1.5.0-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:14 +1200

git-sizer (1.5.0-3) unstable; urgency=medium

  * Team upload
  * Add patch to increase pipe buffer in tests
    (Really closes: #1009690, #1010541)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 14 Mar 2023 13:53:21 +0800

git-sizer (1.5.0-2) unstable; urgency=medium

  * Team upload
  * Backport patch to fix test with new version of git
    (Closes: #1009690, #1010541)
  * Change section to vcs
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Add Rules-Requires-Root
  * Remove unused Files-Excluded in d/copyright
  * Fix uscan watch file
  * Update debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 13 Mar 2023 17:42:15 +0800

git-sizer (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.
  * DH/compat to version 12.
  * rules: respect "nocheck" in DEB_BUILD_OPTIONS.
  * Build-Depends:
    + golang-github-cli-safeexec-dev
    + golang-golang-x-sync-dev
    + golang-uber-goleak-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Mar 2022 17:33:50 +1100
