=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: git-sizer
-Section: devel
+Section: vcs
 Priority: optional
-Standards-Version: 4.3.0
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.6.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-github-cli-safeexec-dev,
                golang-github-spf13-pflag-dev,
+               golang-golang-x-sync-dev,
                golang-github-stretchr-testify-dev
 # Tests:
     ,git
+    ,golang-uber-goleak-dev
 Homepage: https://github.com/github/git-sizer
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-sizer
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-sizer.git
 XS-Go-Import-Path: github.com/github/git-sizer
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 
 Package: git-sizer
