=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,7 @@
 	dh_auto_install -- --no-source
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd _build/src/github.com/github/git-sizer && git init
 	PATH="$(CURDIR)/_build/bin:$${PATH}" dh_auto_test
+endif
